import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListBackupsInput } from "../types/ListBackupsInput";
import { ListBackupsOutput } from "../types/ListBackupsOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/ListBackupsInput";
export * from "../types/ListBackupsOutput";
export * from "../types/ListBackupsExceptionsUnion";
export declare class ListBackupsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListBackupsInput, OutputTypesUnion, ListBackupsOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: ListBackupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListBackupsInput, ListBackupsOutput, Blob>;
    constructor(input: ListBackupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<ListBackupsInput, ListBackupsOutput>;
}
