import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTagsOfResourceInput } from "../types/ListTagsOfResourceInput";
import { ListTagsOfResourceOutput } from "../types/ListTagsOfResourceOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/ListTagsOfResourceInput";
export * from "../types/ListTagsOfResourceOutput";
export * from "../types/ListTagsOfResourceExceptionsUnion";
export declare class ListTagsOfResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTagsOfResourceInput, OutputTypesUnion, ListTagsOfResourceOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: ListTagsOfResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTagsOfResourceInput, ListTagsOfResourceOutput, Blob>;
    constructor(input: ListTagsOfResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<ListTagsOfResourceInput, ListTagsOfResourceOutput>;
}
