import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateItemInput } from "../types/UpdateItemInput";
import { UpdateItemOutput } from "../types/UpdateItemOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/UpdateItemInput";
export * from "../types/UpdateItemOutput";
export * from "../types/UpdateItemExceptionsUnion";
export declare class UpdateItemCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateItemInput, OutputTypesUnion, UpdateItemOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: UpdateItemInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateItemInput, UpdateItemOutput, Blob>;
    constructor(input: UpdateItemInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<UpdateItemInput, UpdateItemOutput>;
}
