"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeBackupInput_1 = require("../shapes/DescribeBackupInput");
var DescribeBackupOutput_1 = require("../shapes/DescribeBackupOutput");
var BackupNotFoundException_1 = require("../shapes/BackupNotFoundException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeBackup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeBackup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeBackupInput_1.DescribeBackupInput
    },
    output: {
        shape: DescribeBackupOutput_1.DescribeBackupOutput
    },
    errors: [
        {
            shape: BackupNotFoundException_1.BackupNotFoundException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=DescribeBackup.js.map