"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListGlobalTablesInput_1 = require("../shapes/ListGlobalTablesInput");
var ListGlobalTablesOutput_1 = require("../shapes/ListGlobalTablesOutput");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListGlobalTables = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListGlobalTables",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListGlobalTablesInput_1.ListGlobalTablesInput
    },
    output: {
        shape: ListGlobalTablesOutput_1.ListGlobalTablesOutput
    },
    errors: [
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=ListGlobalTables.js.map