"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsOfResourceInput_1 = require("../shapes/ListTagsOfResourceInput");
var ListTagsOfResourceOutput_1 = require("../shapes/ListTagsOfResourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsOfResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsOfResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsOfResourceInput_1.ListTagsOfResourceInput
    },
    output: {
        shape: ListTagsOfResourceOutput_1.ListTagsOfResourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=ListTagsOfResource.js.map