"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TransactGetItemsInput_1 = require("../shapes/TransactGetItemsInput");
var TransactGetItemsOutput_1 = require("../shapes/TransactGetItemsOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var TransactionCanceledException_1 = require("../shapes/TransactionCanceledException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TransactGetItems = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TransactGetItems",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TransactGetItemsInput_1.TransactGetItemsInput
    },
    output: {
        shape: TransactGetItemsOutput_1.TransactGetItemsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TransactionCanceledException_1.TransactionCanceledException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=TransactGetItems.js.map