"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateGlobalTableSettingsInput_1 = require("../shapes/UpdateGlobalTableSettingsInput");
var UpdateGlobalTableSettingsOutput_1 = require("../shapes/UpdateGlobalTableSettingsOutput");
var GlobalTableNotFoundException_1 = require("../shapes/GlobalTableNotFoundException");
var ReplicaNotFoundException_1 = require("../shapes/ReplicaNotFoundException");
var IndexNotFoundException_1 = require("../shapes/IndexNotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateGlobalTableSettings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateGlobalTableSettings",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateGlobalTableSettingsInput_1.UpdateGlobalTableSettingsInput
    },
    output: {
        shape: UpdateGlobalTableSettingsOutput_1.UpdateGlobalTableSettingsOutput
    },
    errors: [
        {
            shape: GlobalTableNotFoundException_1.GlobalTableNotFoundException
        },
        {
            shape: ReplicaNotFoundException_1.ReplicaNotFoundException
        },
        {
            shape: IndexNotFoundException_1.IndexNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=UpdateGlobalTableSettings.js.map