"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Key_1 = require("./_Key");
var _ExpressionAttributeNameMap_1 = require("./_ExpressionAttributeNameMap");
var _ExpressionAttributeValueMap_1 = require("./_ExpressionAttributeValueMap");
exports._Delete = {
    type: "structure",
    required: ["Key", "TableName"],
    members: {
        Key: {
            shape: _Key_1._Key
        },
        TableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        ConditionExpression: {
            shape: {
                type: "string"
            }
        },
        ExpressionAttributeNames: {
            shape: _ExpressionAttributeNameMap_1._ExpressionAttributeNameMap
        },
        ExpressionAttributeValues: {
            shape: _ExpressionAttributeValueMap_1._ExpressionAttributeValueMap
        },
        ReturnValuesOnConditionCheckFailure: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Delete.js.map