"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _KeySchema_1 = require("./_KeySchema");
var _Projection_1 = require("./_Projection");
var _ProvisionedThroughputDescription_1 = require("./_ProvisionedThroughputDescription");
exports._GlobalSecondaryIndexDescription = {
    type: "structure",
    required: [],
    members: {
        IndexName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        KeySchema: {
            shape: _KeySchema_1._KeySchema
        },
        Projection: {
            shape: _Projection_1._Projection
        },
        IndexStatus: {
            shape: {
                type: "string"
            }
        },
        Backfilling: {
            shape: {
                type: "boolean"
            }
        },
        ProvisionedThroughput: {
            shape: _ProvisionedThroughputDescription_1._ProvisionedThroughputDescription
        },
        IndexSizeBytes: {
            shape: {
                type: "integer"
            }
        },
        ItemCount: {
            shape: {
                type: "integer"
            }
        },
        IndexArn: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_GlobalSecondaryIndexDescription.js.map