"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ReplicaDescriptionList_1 = require("./_ReplicaDescriptionList");
exports._GlobalTableDescription = {
    type: "structure",
    required: [],
    members: {
        ReplicationGroup: {
            shape: _ReplicaDescriptionList_1._ReplicaDescriptionList
        },
        GlobalTableArn: {
            shape: {
                type: "string"
            }
        },
        CreationDateTime: {
            shape: {
                type: "timestamp"
            }
        },
        GlobalTableStatus: {
            shape: {
                type: "string"
            }
        },
        GlobalTableName: {
            shape: {
                type: "string",
                min: 3
            }
        }
    }
};
//# sourceMappingURL=_GlobalTableDescription.js.map