"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _KeyList_1 = require("./_KeyList");
var _AttributeNameList_1 = require("./_AttributeNameList");
var _ExpressionAttributeNameMap_1 = require("./_ExpressionAttributeNameMap");
exports._KeysAndAttributes = {
    type: "structure",
    required: ["Keys"],
    members: {
        Keys: {
            shape: _KeyList_1._KeyList
        },
        AttributesToGet: {
            shape: _AttributeNameList_1._AttributeNameList
        },
        ConsistentRead: {
            shape: {
                type: "boolean"
            }
        },
        ProjectionExpression: {
            shape: {
                type: "string"
            }
        },
        ExpressionAttributeNames: {
            shape: _ExpressionAttributeNameMap_1._ExpressionAttributeNameMap
        }
    }
};
//# sourceMappingURL=_KeysAndAttributes.js.map