"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._RestoreSummary = {
    type: "structure",
    required: ["RestoreDateTime", "RestoreInProgress"],
    members: {
        SourceBackupArn: {
            shape: {
                type: "string",
                min: 37
            }
        },
        SourceTableArn: {
            shape: {
                type: "string"
            }
        },
        RestoreDateTime: {
            shape: {
                type: "timestamp"
            }
        },
        RestoreInProgress: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_RestoreSummary.js.map