import { BatchGetItemOutput } from "./BatchGetItemOutput";
import { BatchWriteItemOutput } from "./BatchWriteItemOutput";
import { CreateBackupOutput } from "./CreateBackupOutput";
import { CreateGlobalTableOutput } from "./CreateGlobalTableOutput";
import { CreateTableOutput } from "./CreateTableOutput";
import { DeleteBackupOutput } from "./DeleteBackupOutput";
import { DeleteItemOutput } from "./DeleteItemOutput";
import { DeleteTableOutput } from "./DeleteTableOutput";
import { DescribeBackupOutput } from "./DescribeBackupOutput";
import { DescribeContinuousBackupsOutput } from "./DescribeContinuousBackupsOutput";
import { DescribeEndpointsOutput } from "./DescribeEndpointsOutput";
import { DescribeGlobalTableOutput } from "./DescribeGlobalTableOutput";
import { DescribeGlobalTableSettingsOutput } from "./DescribeGlobalTableSettingsOutput";
import { DescribeLimitsOutput } from "./DescribeLimitsOutput";
import { DescribeTableOutput } from "./DescribeTableOutput";
import { DescribeTimeToLiveOutput } from "./DescribeTimeToLiveOutput";
import { GetItemOutput } from "./GetItemOutput";
import { ListBackupsOutput } from "./ListBackupsOutput";
import { ListGlobalTablesOutput } from "./ListGlobalTablesOutput";
import { ListTablesOutput } from "./ListTablesOutput";
import { ListTagsOfResourceOutput } from "./ListTagsOfResourceOutput";
import { PutItemOutput } from "./PutItemOutput";
import { QueryOutput } from "./QueryOutput";
import { RestoreTableFromBackupOutput } from "./RestoreTableFromBackupOutput";
import { RestoreTableToPointInTimeOutput } from "./RestoreTableToPointInTimeOutput";
import { ScanOutput } from "./ScanOutput";
import { TagResourceOutput } from "./TagResourceOutput";
import { TransactGetItemsOutput } from "./TransactGetItemsOutput";
import { TransactWriteItemsOutput } from "./TransactWriteItemsOutput";
import { UntagResourceOutput } from "./UntagResourceOutput";
import { UpdateContinuousBackupsOutput } from "./UpdateContinuousBackupsOutput";
import { UpdateGlobalTableOutput } from "./UpdateGlobalTableOutput";
import { UpdateGlobalTableSettingsOutput } from "./UpdateGlobalTableSettingsOutput";
import { UpdateItemOutput } from "./UpdateItemOutput";
import { UpdateTableOutput } from "./UpdateTableOutput";
import { UpdateTimeToLiveOutput } from "./UpdateTimeToLiveOutput";
export declare type OutputTypesUnion = BatchGetItemOutput | BatchWriteItemOutput | CreateBackupOutput | CreateGlobalTableOutput | CreateTableOutput | DeleteBackupOutput | DeleteItemOutput | DeleteTableOutput | DescribeBackupOutput | DescribeContinuousBackupsOutput | DescribeEndpointsOutput | DescribeGlobalTableOutput | DescribeGlobalTableSettingsOutput | DescribeLimitsOutput | DescribeTableOutput | DescribeTimeToLiveOutput | GetItemOutput | ListBackupsOutput | ListGlobalTablesOutput | ListTablesOutput | ListTagsOfResourceOutput | PutItemOutput | QueryOutput | RestoreTableFromBackupOutput | RestoreTableToPointInTimeOutput | ScanOutput | TagResourceOutput | TransactGetItemsOutput | TransactWriteItemsOutput | UntagResourceOutput | UpdateContinuousBackupsOutput | UpdateGlobalTableOutput | UpdateGlobalTableSettingsOutput | UpdateItemOutput | UpdateTableOutput | UpdateTimeToLiveOutput;
