import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchWriteItemInput } from "../types/BatchWriteItemInput";
import { BatchWriteItemOutput } from "../types/BatchWriteItemOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/BatchWriteItemInput";
export * from "../types/BatchWriteItemOutput";
export * from "../types/BatchWriteItemExceptionsUnion";
export declare class BatchWriteItemCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchWriteItemInput, OutputTypesUnion, BatchWriteItemOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: BatchWriteItemInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchWriteItemInput, BatchWriteItemOutput, Blob>;
    constructor(input: BatchWriteItemInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<BatchWriteItemInput, BatchWriteItemOutput>;
}
