"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeGlobalTableSettings_1 = require("../model/operations/DescribeGlobalTableSettings");
var DescribeGlobalTableSettingsCommand = /** @class */ (function () {
    function DescribeGlobalTableSettingsCommand(input) {
        this.input = input;
        this.model = DescribeGlobalTableSettings_1.DescribeGlobalTableSettings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeGlobalTableSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeGlobalTableSettingsCommand;
}());
exports.DescribeGlobalTableSettingsCommand = DescribeGlobalTableSettingsCommand;
//# sourceMappingURL=DescribeGlobalTableSettingsCommand.js.map