import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeTableInput } from "../types/DescribeTableInput";
import { DescribeTableOutput } from "../types/DescribeTableOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/DescribeTableInput";
export * from "../types/DescribeTableOutput";
export * from "../types/DescribeTableExceptionsUnion";
export declare class DescribeTableCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeTableInput, OutputTypesUnion, DescribeTableOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: DescribeTableInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeTableInput, DescribeTableOutput, Blob>;
    constructor(input: DescribeTableInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DescribeTableInput, DescribeTableOutput>;
}
