import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeTimeToLiveInput } from "../types/DescribeTimeToLiveInput";
import { DescribeTimeToLiveOutput } from "../types/DescribeTimeToLiveOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/DescribeTimeToLiveInput";
export * from "../types/DescribeTimeToLiveOutput";
export * from "../types/DescribeTimeToLiveExceptionsUnion";
export declare class DescribeTimeToLiveCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeTimeToLiveInput, OutputTypesUnion, DescribeTimeToLiveOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: DescribeTimeToLiveInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeTimeToLiveInput, DescribeTimeToLiveOutput, Blob>;
    constructor(input: DescribeTimeToLiveInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DescribeTimeToLiveInput, DescribeTimeToLiveOutput>;
}
