import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RestoreTableToPointInTimeInput } from "../types/RestoreTableToPointInTimeInput";
import { RestoreTableToPointInTimeOutput } from "../types/RestoreTableToPointInTimeOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/RestoreTableToPointInTimeInput";
export * from "../types/RestoreTableToPointInTimeOutput";
export * from "../types/RestoreTableToPointInTimeExceptionsUnion";
export declare class RestoreTableToPointInTimeCommand implements __aws_sdk_types.Command<InputTypesUnion, RestoreTableToPointInTimeInput, OutputTypesUnion, RestoreTableToPointInTimeOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: RestoreTableToPointInTimeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RestoreTableToPointInTimeInput, RestoreTableToPointInTimeOutput, Blob>;
    constructor(input: RestoreTableToPointInTimeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<RestoreTableToPointInTimeInput, RestoreTableToPointInTimeOutput>;
}
