import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TransactGetItemsInput } from "../types/TransactGetItemsInput";
import { TransactGetItemsOutput } from "../types/TransactGetItemsOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/TransactGetItemsInput";
export * from "../types/TransactGetItemsOutput";
export * from "../types/TransactGetItemsExceptionsUnion";
export declare class TransactGetItemsCommand implements __aws_sdk_types.Command<InputTypesUnion, TransactGetItemsInput, OutputTypesUnion, TransactGetItemsOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: TransactGetItemsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TransactGetItemsInput, TransactGetItemsOutput, Blob>;
    constructor(input: TransactGetItemsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<TransactGetItemsInput, TransactGetItemsOutput>;
}
