import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TransactWriteItemsInput } from "../types/TransactWriteItemsInput";
import { TransactWriteItemsOutput } from "../types/TransactWriteItemsOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/TransactWriteItemsInput";
export * from "../types/TransactWriteItemsOutput";
export * from "../types/TransactWriteItemsExceptionsUnion";
export declare class TransactWriteItemsCommand implements __aws_sdk_types.Command<InputTypesUnion, TransactWriteItemsInput, OutputTypesUnion, TransactWriteItemsOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: TransactWriteItemsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TransactWriteItemsInput, TransactWriteItemsOutput, Blob>;
    constructor(input: TransactWriteItemsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<TransactWriteItemsInput, TransactWriteItemsOutput>;
}
