"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateContinuousBackups_1 = require("../model/operations/UpdateContinuousBackups");
var UpdateContinuousBackupsCommand = /** @class */ (function () {
    function UpdateContinuousBackupsCommand(input) {
        this.input = input;
        this.model = UpdateContinuousBackups_1.UpdateContinuousBackups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateContinuousBackupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateContinuousBackupsCommand;
}());
exports.UpdateContinuousBackupsCommand = UpdateContinuousBackupsCommand;
//# sourceMappingURL=UpdateContinuousBackupsCommand.js.map