import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateTimeToLiveInput } from "../types/UpdateTimeToLiveInput";
import { UpdateTimeToLiveOutput } from "../types/UpdateTimeToLiveOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/UpdateTimeToLiveInput";
export * from "../types/UpdateTimeToLiveOutput";
export * from "../types/UpdateTimeToLiveExceptionsUnion";
export declare class UpdateTimeToLiveCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateTimeToLiveInput, OutputTypesUnion, UpdateTimeToLiveOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: UpdateTimeToLiveInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateTimeToLiveInput, UpdateTimeToLiveOutput, Blob>;
    constructor(input: UpdateTimeToLiveInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<UpdateTimeToLiveInput, UpdateTimeToLiveOutput>;
}
