"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateTimeToLive_1 = require("../model/operations/UpdateTimeToLive");
var UpdateTimeToLiveCommand = /** @class */ (function () {
    function UpdateTimeToLiveCommand(input) {
        this.input = input;
        this.model = UpdateTimeToLive_1.UpdateTimeToLive;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateTimeToLiveCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateTimeToLiveCommand;
}());
exports.UpdateTimeToLiveCommand = UpdateTimeToLiveCommand;
//# sourceMappingURL=UpdateTimeToLiveCommand.js.map