"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeGlobalTableSettingsInput_1 = require("../shapes/DescribeGlobalTableSettingsInput");
var DescribeGlobalTableSettingsOutput_1 = require("../shapes/DescribeGlobalTableSettingsOutput");
var GlobalTableNotFoundException_1 = require("../shapes/GlobalTableNotFoundException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeGlobalTableSettings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeGlobalTableSettings",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeGlobalTableSettingsInput_1.DescribeGlobalTableSettingsInput
    },
    output: {
        shape: DescribeGlobalTableSettingsOutput_1.DescribeGlobalTableSettingsOutput
    },
    errors: [
        {
            shape: GlobalTableNotFoundException_1.GlobalTableNotFoundException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=DescribeGlobalTableSettings.js.map