"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeLimitsInput_1 = require("../shapes/DescribeLimitsInput");
var DescribeLimitsOutput_1 = require("../shapes/DescribeLimitsOutput");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeLimits = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeLimits",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeLimitsInput_1.DescribeLimitsInput
    },
    output: {
        shape: DescribeLimitsOutput_1.DescribeLimitsOutput
    },
    errors: [
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=DescribeLimits.js.map