"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTableInput_1 = require("../shapes/DescribeTableInput");
var DescribeTableOutput_1 = require("../shapes/DescribeTableOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTable = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTable",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTableInput_1.DescribeTableInput
    },
    output: {
        shape: DescribeTableOutput_1.DescribeTableOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=DescribeTable.js.map