"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTablesInput_1 = require("../shapes/ListTablesInput");
var ListTablesOutput_1 = require("../shapes/ListTablesOutput");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTables = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTables",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTablesInput_1.ListTablesInput
    },
    output: {
        shape: ListTablesOutput_1.ListTablesOutput
    },
    errors: [
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=ListTables.js.map