"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateContinuousBackupsInput_1 = require("../shapes/UpdateContinuousBackupsInput");
var UpdateContinuousBackupsOutput_1 = require("../shapes/UpdateContinuousBackupsOutput");
var TableNotFoundException_1 = require("../shapes/TableNotFoundException");
var ContinuousBackupsUnavailableException_1 = require("../shapes/ContinuousBackupsUnavailableException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateContinuousBackups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateContinuousBackups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateContinuousBackupsInput_1.UpdateContinuousBackupsInput
    },
    output: {
        shape: UpdateContinuousBackupsOutput_1.UpdateContinuousBackupsOutput
    },
    errors: [
        {
            shape: TableNotFoundException_1.TableNotFoundException
        },
        {
            shape: ContinuousBackupsUnavailableException_1.ContinuousBackupsUnavailableException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=UpdateContinuousBackups.js.map