"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateTableInput_1 = require("../shapes/UpdateTableInput");
var UpdateTableOutput_1 = require("../shapes/UpdateTableOutput");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateTable = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateTable",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateTableInput_1.UpdateTableInput
    },
    output: {
        shape: UpdateTableOutput_1.UpdateTableOutput
    },
    errors: [
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=UpdateTable.js.map