"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestoreTableToPointInTimeInput = {
    type: "structure",
    required: ["SourceTableName", "TargetTableName"],
    members: {
        SourceTableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        TargetTableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        UseLatestRestorableTime: {
            shape: {
                type: "boolean"
            }
        },
        RestoreDateTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=RestoreTableToPointInTimeInput.js.map