"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Key_1 = require("./_Key");
var _ExpressionAttributeNameMap_1 = require("./_ExpressionAttributeNameMap");
exports._Get = {
    type: "structure",
    required: ["Key", "TableName"],
    members: {
        Key: {
            shape: _Key_1._Key
        },
        TableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        ProjectionExpression: {
            shape: {
                type: "string"
            }
        },
        ExpressionAttributeNames: {
            shape: _ExpressionAttributeNameMap_1._ExpressionAttributeNameMap
        }
    }
};
//# sourceMappingURL=_Get.js.map