"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _KeySchema_1 = require("./_KeySchema");
var _Projection_1 = require("./_Projection");
exports._LocalSecondaryIndex = {
    type: "structure",
    required: ["IndexName", "KeySchema", "Projection"],
    members: {
        IndexName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        KeySchema: {
            shape: _KeySchema_1._KeySchema
        },
        Projection: {
            shape: _Projection_1._Projection
        }
    }
};
//# sourceMappingURL=_LocalSecondaryIndex.js.map