"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PutItemInputAttributeMap_1 = require("./_PutItemInputAttributeMap");
var _ExpressionAttributeNameMap_1 = require("./_ExpressionAttributeNameMap");
var _ExpressionAttributeValueMap_1 = require("./_ExpressionAttributeValueMap");
exports._Put = {
    type: "structure",
    required: ["Item", "TableName"],
    members: {
        Item: {
            shape: _PutItemInputAttributeMap_1._PutItemInputAttributeMap
        },
        TableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        ConditionExpression: {
            shape: {
                type: "string"
            }
        },
        ExpressionAttributeNames: {
            shape: _ExpressionAttributeNameMap_1._ExpressionAttributeNameMap
        },
        ExpressionAttributeValues: {
            shape: _ExpressionAttributeValueMap_1._ExpressionAttributeValueMap
        },
        ReturnValuesOnConditionCheckFailure: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Put.js.map