"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AutoScalingSettingsUpdate_1 = require("./_AutoScalingSettingsUpdate");
var _ReplicaGlobalSecondaryIndexSettingsUpdateList_1 = require("./_ReplicaGlobalSecondaryIndexSettingsUpdateList");
exports._ReplicaSettingsUpdate = {
    type: "structure",
    required: ["RegionName"],
    members: {
        RegionName: {
            shape: {
                type: "string"
            }
        },
        ReplicaProvisionedReadCapacityUnits: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        ReplicaProvisionedReadCapacityAutoScalingSettingsUpdate: {
            shape: _AutoScalingSettingsUpdate_1._AutoScalingSettingsUpdate
        },
        ReplicaGlobalSecondaryIndexSettingsUpdate: {
            shape: _ReplicaGlobalSecondaryIndexSettingsUpdateList_1._ReplicaGlobalSecondaryIndexSettingsUpdateList
        }
    }
};
//# sourceMappingURL=_ReplicaSettingsUpdate.js.map